List deployments
curl --request POST \
--url https://api.getcargo.io/v1/hosting/deployments/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"appUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workerUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statuses": [],
"createdAfter": "<string>",
"createdBefore": "<string>",
"limit": 20,
"offset": 0
}
'import requests
url = "https://api.getcargo.io/v1/hosting/deployments/list"
payload = {
"appUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workerUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statuses": [],
"createdAfter": "<string>",
"createdBefore": "<string>",
"limit": 20,
"offset": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
appUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
workerUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
userUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
statuses: [],
createdAfter: '<string>',
createdBefore: '<string>',
limit: 20,
offset: 0
})
};
fetch('https://api.getcargo.io/v1/hosting/deployments/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 4503599627370495,
"deployments": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceS3Path": "<string>",
"bundleS3Path": "<string>",
"buildLogS3Filename": "<string>",
"errorMessage": "<string>",
"url": "<string>",
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promotedAt": "<string>",
"promotedByUserUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finishedAt": "<string>",
"temporalWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"kind": "<string>",
"appUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {}
}
]
}Hosting - Deployments
List deployments
List deployments for an app or worker
POST
/
hosting
/
deployments
/
list
List deployments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Body schema.
Identifier of the app whose deployments to list.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Identifier of the worker whose deployments to list.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Restrict to deployments created by this user.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Deployment statuses to include.
Available options:
pending, building, success, error, cancelled Include deployments created after this ISO timestamp.
Include deployments created before this ISO timestamp.
Maximum number of deployments to return.
Required range:
1 <= x <= 100Number of deployments to skip.
Required range:
0 <= x <= 9007199254740991Was this page helpful?
⌘I

